<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-10">
                        <div class="form-group">
                            <label for="name">Nome do Arquivo</label>
                            <input #nameField disabled
                                   [(ngModel)]="customerFile.file_name" type="text"
                                   class="form-control" id="name" placeholder="Nome do Arquivo">
                        </div>
                    </div>

                    <div class="col-2">
                        <div class="form-group">
                            <label for="file_extension">Extensão</label>
                            <input disabled [(ngModel)]="customerFile.file_extension" type="text"
                                   class="form-control" id="file_extension">
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="s3_bucket_name">Bucket S3</label>
                            <input disabled [(ngModel)]="customerFile.s3_bucket_name" type="text"
                                   class="form-control" id="s3_bucket_name">
                        </div>
                    </div>

                    <div class="col-6">
                        <div class="form-group">
                            <label for="s3_object_name">Nome do Objeto no Bucket S3</label>
                            <input disabled [(ngModel)]="customerFile.s3_object_name" type="text"
                                   class="form-control" id="s3_object_name">
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="s3_bucket_name">Categoria do Arquivo</label>
                            <select class="form-control" [(ngModel)]="customerFile.file_category">
                                <option value="">Nenhuma</option>
                                <option *ngFor="let fileCategory of fileCategories"
                                        [value]="fileCategory.id">{{ fileCategory.name }}</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="file_description">Observações</label>
                            <textarea class="form-control" id="file_description" rows="5"
                                      [(ngModel)]="customerFile.file_description"></textarea>
                        </div>
                    </div>
                </div>

                <hr/>

                <div class="row">
                    <div class="col-3 offset-6">
                        <button (click)="cancel()" class="btn btn-block btn-danger">
                            <i class="fa fa-history"></i>
                            Cancelar
                        </button>
                    </div>
                    <div class="col-3">
                        <button (click)="save()" class="btn btn-block btn-dark-success">
                            <i class="fa fa-save"></i>
                            Salvar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
